%global pkgname AlsaMixer.app

Name:           alsamixer-dockapp
Version:        0.1
Release:        3%{?dist}
Summary:        Simple mixer application for ALSA drivers

License:        GPLv2+
URL:            http://dockapps.windowmaker.org/file.php/id/253
Source0:        http://dockapps.windowmaker.org/download.php/id/517/%{pkgname}-%{version}.tar.gz
#This avoids compiler warnings which might become unsupported in later gcc versions
Patch0:         %{name}-const.patch

BuildRequires:  alsa-lib-devel
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel


%description
AlsaMixer.app is a WM applet sound mixer utility for Linux systems with ALSA
sound driver. It works with Alsa and PulseAudio. 

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p0

%build
make CXXFLAGS="%{optflags}" %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 AlsaMixer.app %{buildroot}%{_bindir}
ln -s %{_bindir}/%{pkgname} %{buildroot}%{_bindir}/%{name}

%files
%doc COPYING README
%{_bindir}/%{name}
%{_bindir}/%{pkgname}

%changelog
* Thu Oct 11 2012 Mario Blättermann <mariobl@fedoraproject.org> - 0.1-3
- Added patch to avoid compiler warnings

* Sat Oct 06 2012 Mario Blättermann <mariobl@fedoraproject.org> - 0.1-2
- Don't mix spaces and tabs
- Renamed the spec file to avoid the period

* Sat Jul 28 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.1-1
- initial version
